---
title: SharedArrayBuffer() constructor
slug: Web/JavaScript/Reference/Global_Objects/SharedArrayBuffer/SharedArrayBuffer
tags:
  - Constructor
  - JavaScript
  - Reference
  - SharedArrayBuffer
---
<div>{{JSRef}}</div>

<div class="note">
<p>Note that <code>SharedArrayBuffer</code> was disabled by default in all major browsers on 5 January, 2018 in response to <a href="https://meltdownattack.com/">Spectre</a>. Chrome <a href="https://bugs.chromium.org/p/chromium/issues/detail?id=821270">re-enabled it in v67</a> on platforms where its site-isolation feature is enabled to protect against Spectre-style vulnerabilities.</p>
</div>

<p>The <strong><code>SharedArrayBuffer()</code> constructor</strong> is used to create a {{jsxref("SharedArrayBuffer")}} object representing a generic, fixed-length raw binary data buffer, similar to the {{jsxref("ArrayBuffer")}} object.</p>

<div>{{EmbedInteractiveExample("pages/js/sharedarraybuffer-constructor.html","shorter")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">new SharedArrayBuffer([<var>length</var>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>length</var></code></dt>
 <dd>The size, in bytes, of the array buffer to create.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new <code>SharedArrayBuffer</code> object of the specified size. Its contents are initialized to 0.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Always_use_the_new_operator_to_create_a_SharedArrayBuffer">Always use the new operator to create a SharedArrayBuffer</h3>

<p><code>SharedArrayBuffer</code> constructors are required to be constructed with a {{jsxref("Operators/new", "new")}} operator. Calling a <code>SharedArrayBuffer</code> constructor as a function without <code>new</code> will throw a {{jsxref("TypeError")}}.</p>

<pre class="brush: js example-bad notranslate">var sab = SharedArrayBuffer(1024);
// TypeError: calling a builtin SharedArrayBuffer constructor
// without new is forbidden</pre>

<pre class="brush: js example-good notranslate">var sab = new SharedArrayBuffer(1024);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-sharedarraybuffer-constructor', 'SharedArrayBuffer constructor')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.SharedArrayBuffer.SharedArrayBuffer")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Atomics")}}</li>
 <li>{{jsxref("ArrayBuffer")}}</li>
 <li><a href="/en-US/docs/Web/JavaScript/Typed_arrays">JavaScript typed arrays</a></li>
</ul>
